%define subrel 1

%define shortname canberra

# Majors
%define major 0
%define major_gtk 0

# Library names
%define libname %mklibname %{shortname} %{major}
%define libname_gtk %mklibname %{shortname}-gtk %{major_gtk}
%define libname_gtk3 %mklibname %{shortname}-gtk3_ %{major_gtk}
%define	libname_gtkdevel %mklibname -d %{shortname}-gtk
%define libname_gtk3devel %mklibname -d %{shortname}-gtk3
%define libname_devel %mklibname -d %{shortname}

%define _with_systemd 1

Summary:	XDG compliant sound event library
Name:		libcanberra
Version:	0.30
Release:	%mkrel 15
Source0:	http://0pointer.de/lennart/projects/libcanberra/%{name}-%{version}.tar.xz
Source1:	%{name}-gtk-module.sh
Source2:	%{shortname}-profile-d.sh
Source3:	%{shortname}-alsa.conf
Source4:	%{shortname}-pulse.conf
Patch0:		libcanberra-0.28-linkage.patch
Patch1:		0001-gtk-Don-t-assume-all-GdkDisplays-are-GdkX11Displays-.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://0pointer.de/lennart/projects/libcanberra/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	libltdl-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(tdb)
BuildRequires:	pulseaudio-devel

# (cg) The following seem to be required to make autoreconf not moan.
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gconf-2.0)

%if %{_with_systemd}
BuildRequires:	pkgconfig(udev)
BuildRequires:	systemd-units
%endif

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-common
Summary:	Common files needed for libcanberra
Group:		Sound/Utilities
# (cg) This is just temporary. This should really be a generic requires.
Requires:	sound-theme-freedesktop
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description -n %{shortname}-common
Common files needed for libcanberra

%package -n %{libname}
Summary:	XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-common

%description -n %{libname}
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package -n %{shortname}-gtk
Summary:	GTK utilities for the %{name} XDG complient sound event library
Group:		System/Libraries
Obsoletes:	%{name}-gtk2

%description -n %{shortname}-gtk
GTK specific utilities for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk = %{version}-%{release}
Recommends:	%{libname_gtk3}

%description -n %{libname_gtk}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk3}
Summary:	GTK 3 modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Requires:	%{shortname}-gtk >= %{version}-%{release}
Obsoletes:	%{_lib}%{shortname}-gtk30 < 0.28-3
Recommends:	%{libname_gtk}

%description -n %{libname_gtk3}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtkdevel}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libname_gtk} = %{version}-%{release}

%description -n %{libname_gtkdevel}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_gtk3devel}
Summary:	GTK modules for the %{name} XDG complient sound event library
Group:		System/Libraries
Provides:	%{name}-gtk3-devel = %{version}-%{release}
Requires:	%{libname_gtk3} = %{version}-%{release}
Conflicts:	%{_lib}canberra-gtk-devel < 0.30-10

%description -n %{libname_gtk3devel}
GTK specific libraries for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%package -n %{libname_devel}
Summary:	Headers and libraries for %{name} development
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}, a small and lightweight implementation of
the XDG Sound Theme Specification (http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-gstreamer \
	--disable-oss \
	--disable-static \
%if !%{_with_systemd}
	--without-systemdsystemunitdir 
%else
	--with-systemdsystemunitdir=%{_unitdir}
%endif

%make

%install
%make_install

# Remove metalink libraries
find %{buildroot} -name *.la -delete

install -D -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
install -D -m644  %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/40canberra.sh
install -D -m644  %{SOURCE3} %{buildroot}%{_sysconfdir}/sound/profiles/alsa/canberra.conf
install -D -m644  %{SOURCE4} %{buildroot}%{_sysconfdir}/sound/profiles/pulse/canberra.conf

# Remove the multi output module until it's more stable
rm -f %{buildroot}%{_libdir}/libcanberra-%{version}/libcanberra-multi.so

# handle docs in files section
rm -rf %{buildroot}%{_defaultdocdir}

%files -n %{shortname}-common
%{_sysconfdir}/profile.d/40canberra.sh
%{_sysconfdir}/sound/profiles/alsa/canberra.conf
%{_sysconfdir}/sound/profiles/pulse/canberra.conf

%if %{_with_systemd}
%{_bindir}/canberra-boot
%{_unitdir}/canberra-system-bootup.service
%{_unitdir}/canberra-system-shutdown-reboot.service
%{_unitdir}/canberra-system-shutdown.service
%endif

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/%{name}-alsa.so
%{_libdir}/%{name}-%{version}/%{name}-pulse.so
%{_libdir}/%{name}-%{version}/%{name}-null.so

%files -n %{libname_gtk}
%{_libdir}/%{name}-gtk.so.%{major_gtk}{,.*}
%{_libdir}/gtk-2.0/modules/%{name}-gtk-module.so

%files -n %{libname_gtk3}
%{_libdir}/%{name}-gtk3.so.%{major_gtk}{,.*}
%{_libdir}/gtk-3.0/modules/%{name}-gtk3-module.so
%{_libdir}/gtk-3.0/modules/libcanberra-gtk-module.so

%files -n %{shortname}-gtk
%{_sysconfdir}/X11/xinit.d/libcanberra-gtk-module.sh
%{_bindir}/canberra-gtk-play
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop
%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/canberra-gtk-module.desktop

%files -n %{libname_gtkdevel}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc README
%{_includedir}/%{shortname}-gtk.h
%{_libdir}/%{name}-gtk.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%files -n %{libname_gtk3devel}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc README
%{_includedir}/%{shortname}-gtk.h
%{_libdir}/libcanberra-gtk3.so
%{_libdir}/pkgconfig/libcanberra-gtk3.pc
%{_datadir}/vala/vapi/libcanberra-gtk.vapi

%files -n %{libname_devel}
%doc README
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/libcanberra.vapi


%changelog
* Sun Apr 25 2021 ghibo <ghibo> 0.30-15.1.mga8
+ Revision: 1719533
- Strengthen SESSION name detection so to deal also with full path included in session name.
- Add also gnome-session and startgnome_classic to SESSION name detected for which GTK_MODULES shouldn't be exported.

* Sun Apr 12 2020 tmb <tmb> 0.30-15.mga8
+ Revision: 1566902
- drop wrong fix for 32bit canberra warning

* Fri Apr 10 2020 ovitters <ovitters> 0.30-14.mga8
+ Revision: 1566183
- on 64 bits archs recommend the 32 bit library, also avoids a gtk warning (mga#3536)

* Thu Feb 13 2020 umeabot <umeabot> 0.30-13.mga8
+ Revision: 1513942
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.30-12.mga7
+ Revision: 1298774
- Mageia 7 Mass Rebuild

* Wed Mar 01 2017 ghibo <ghibo> 0.30-11.mga6
+ Revision: 1088252
- Rebuilt against pulseaudio 10

* Sun Oct 02 2016 wally <wally> 0.30-10.mga6
+ Revision: 1058092
- split out gtk3 devel pkg

* Mon Feb 15 2016 tv <tv> 0.30-9.mga6
+ Revision: 960759
- patch1: Don't assume all GdkDisplays are GdkX11Displays (mga#17772)

* Tue Feb 09 2016 umeabot <umeabot> 0.30-8.mga6
+ Revision: 952260
- Mageia 6 Mass Rebuild

* Wed Feb 04 2015 ovitters <ovitters> 0.30-7.mga5
+ Revision: 813413
- when installing libcanberra gtk+2 module recommend gtk+3 one and vice versa (mga#3536)

* Wed Oct 15 2014 umeabot <umeabot> 0.30-6.mga5
+ Revision: 748749
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30-5.mga5
+ Revision: 681361
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30-4.mga4
+ Revision: 526606
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 spuhler <spuhler> 0.30-3.mga4
+ Revision: 438329
- rebuild against new gtk libs

* Sat Jan 12 2013 umeabot <umeabot> 0.30-2.mga3
+ Revision: 356903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.30-1.mga3
+ Revision: 334821
- fix RPM group
+ fwang <fwang>
- new version 0.30

* Fri Jun 29 2012 colin <colin> 0.29-2.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Mon May 28 2012 colin <colin> 0.29-1.mga3
+ Revision: 248383
- New version: 0.29

* Sat Apr 28 2012 tmb <tmb> 0.28-10.mga2
+ Revision: 233636
- rebuild for broken requires

* Sat Apr 28 2012 tmb <tmb> 0.28-9.mga2
+ Revision: 233620
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 0.28-8.mga2
+ Revision: 233517
- rebuild for versioned rpm-helper requires

* Wed Feb 01 2012 tv <tv> 0.28-7.mga2
+ Revision: 203776
- patch 3: hang fix from RH

* Thu Dec 22 2011 wally <wally> 0.28-6.mga2
+ Revision: 186122
- add P1 and P2 from upstream
- add P0 to fix linking

* Wed Aug 31 2011 wally <wally> 0.28-5.mga2
+ Revision: 137127
- another rebuild due to package eating monster called BS

* Mon Aug 29 2011 wally <wally> 0.28-4.mga2
+ Revision: 135988
- rebuild due to package eating monster called BS
- fix gtk3 lib package name
+ colin <colin>
- Add back in %%preun_uninstall_gconf_schemas. It's still needed.
- Remove post and postun scripts as post_install_gconf_schemas no longer exists.
 - Tidy up some whitespace
+ tv <tv>
- fix file list
- new release

* Sun Jul 17 2011 dmorgan <dmorgan> 0.27-3.mga2
+ Revision: 125312
- Enable systemd

* Wed Jun 08 2011 dmorgan <dmorgan> 0.27-2.mga2
+ Revision: 101746
- Enable gtk3 part

* Fri Feb 25 2011 ennael <ennael> 0.27-2.mga1
+ Revision: 59809
- no systemd for now

* Mon Feb 21 2011 colin <colin> 0.27-1.mga1
+ Revision: 55197
- systemd support requires udev
- Tidy up systemd support
- New version

* Sun Feb 20 2011 eandry <eandry> 0.26-3.mga1
+ Revision: 54990
- drop builroot
- bump release
+ mikala <mikala>
- imported package libcanberra


* Sun Nov 07 2010 John Balcaen <mikala@mandriva.org> 0.26-2mdv2011.0
+ Revision: 594753
- Split -gtk files from -devel in a -gtk-devel

* Mon Oct 11 2010 Colin Guthrie <cguthrie@mandriva.org> 0.26-1mdv2011.0
+ Revision: 584968
- New version: 0.26

* Tue Jul 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.25-1mdv2011.0
+ Revision: 552107
- New version: 0.25

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.24-2mdv2010.1
+ Revision: 539588
- rebuild so that shared libraries are properly stripped again

* Mon Apr 19 2010 Frederic Crozat <fcrozat@mandriva.com> 0.24-1mdv2010.1
+ Revision: 536764
- Release 0.24
- Remove patches 0, 1 (merged upstream)

* Sun Feb 21 2010 Colin Guthrie <cguthrie@mandriva.org> 0.23-2mdv2010.1
+ Revision: 508983
- Add some patches from git master relating to sample playing finish notification

* Sun Feb 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.23-1mdv2010.1
+ Revision: 508906
- update to new version 0.23

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - files in /etc/profile.d should not be executable, but should have an order prefix

* Tue Oct 20 2009 Colin Guthrie <cguthrie@mandriva.org> 0.22-1mdv2010.0
+ Revision: 458338
- New version: 0.22 (bug fixes)

* Fri Oct 16 2009 Colin Guthrie <cguthrie@mandriva.org> 0.21-1mdv2010.0
+ Revision: 457819
- New version: wrap up my path into official release.
- Rethink my last patch to fix errors on exit.
- Add patch to prevent error on application exit.
- New version (fixes one bug with previous release)

* Wed Oct 14 2009 Colin Guthrie <cguthrie@mandriva.org> 0.19-1mdv2010.0
+ Revision: 457465
- New version (just wraps up patches we already had)

* Wed Oct 07 2009 Colin Guthrie <cguthrie@mandriva.org> 0.18-2mdv2010.0
+ Revision: 455373
- Fix XID collisions when GDK window is not an X11 windows (mdv#54010)

* Mon Sep 21 2009 Colin Guthrie <cguthrie@mandriva.org> 0.18-1mdv2010.0
+ Revision: 446449
- New version 0.18

* Mon Sep 14 2009 Colin Guthrie <cguthrie@mandriva.org> 0.17-1mdv2010.0
+ Revision: 439917
- New version: 0.17 (improved GTK/GDM integration + Vala API)

* Thu Aug 27 2009 Colin Guthrie <cguthrie@mandriva.org> 0.16-1mdv2010.0
+ Revision: 421660
- New version: 0.16

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 0.15-2mdv2010.0
+ Revision: 416912
- Provide CANBERRA_DRIVER env variable setter for various sound profiles.

* Thu Aug 06 2009 Colin Guthrie <cguthrie@mandriva.org> 0.15-1mdv2010.0
+ Revision: 410788
- New version: 0.15

* Sun Jul 05 2009 Colin Guthrie <cguthrie@mandriva.org> 0.14-1mdv2010.0
+ Revision: 392637
- New version (also fixes mdv#51889)

* Tue Jun 30 2009 Colin Guthrie <cguthrie@mandriva.org> 0.13-3mdv2010.0
+ Revision: 390783
- Revert the upstream nofail patch that causes things to fail pretty bad when pulse is not running (mdv#51889)

* Mon Jun 29 2009 Colin Guthrie <cguthrie@mandriva.org> 0.13-2mdv2010.0
+ Revision: 390441
- Use the canberra alsa driver if the user is not using pulseaudio (mdv#51889)

* Wed Jun 24 2009 Colin Guthrie <cguthrie@mandriva.org> 0.13-1mdv2010.0
+ Revision: 388802
- New version: 0.13

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12-1mdv2010.0
+ Revision: 383253
- update to new version 0.12
- drop all patches, merged upstream
- correct license

* Tue Apr 21 2009 Frederic Crozat <fcrozat@mandriva.com> 0.11-4mdv2009.1
+ Revision: 368481
- Do no set GTK_MODULES under GNOME, gnome-settings-daemon handles it

* Fri Apr 03 2009 Colin Guthrie <cguthrie@mandriva.org> 0.11-3mdv2009.1
+ Revision: 363733
- Add more buildrequires (not strictly needed, but it stops autoreconf running)
- Missing buildrequire gettext-devel(not 100%% sure about this but I have it locally and it builds locally)
- Add a few fixes from upstream

* Sat Mar 28 2009 Götz Waschk <waschk@mandriva.org> 0.11-2mdv2009.1
+ Revision: 361920
- rebuild for new tdb

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.11-1mdv2009.1
+ Revision: 332433
- Release 0.11
- Remove patch0 (merged upstream)

* Sat Oct 11 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10-1mdv2009.1
+ Revision: 291931
- New version: 0.10
- Enable pulse backend

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9-3mdv2009.0
+ Revision: 284497
- Rebuild against new samba for tdb-based cache support

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdv2009.0
+ Revision: 283533
- Patch0: start login sound later, to ensure g-s-d is already running, selecting the right sound theme

* Tue Sep 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9-1mdv2009.0
+ Revision: 283147
- New version: 0.9

* Thu Aug 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8-1mdv2009.0
+ Revision: 277010
- New version 0.8
- NB Gstreamer and OSS outputs are disabled as their usefulness is aligned to Mandriva setup

* Mon Aug 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7-1mdv2009.0
+ Revision: 273123
- New version: 0.7.0
- Fix website
- Drop patches applied upstream

* Tue Aug 12 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6-3mdv2009.0
+ Revision: 271084
- Patch0: disable warnings when no sound file is found

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2009.0
+ Revision: 264083
- add dep on canberra-gtk to the lib package to make it work out of the box

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2009.0
+ Revision: 263876
- fix devel deps again

  + Colin Guthrie <cguthrie@mandriva.org>
    - Fix package names to avoid lib prefix when not a library.
    - Fix registration module (drop the 'lib' prefix, it's added automatically)
    - New version: 0.6

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2009.0
+ Revision: 263850
- add missing deps to the devel package

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2009.0
+ Revision: 250736
- Update to 0.4
- Add a -gtk2 subpackage (this could cause naming problems when major changes to 2 on i586)
- Add xinit.d file to define module support

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2009.0
+ Revision: 219452
- typo fixes in descriptions

* Sun Jun 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.3-1mdv2009.0
+ Revision: 219331
- Update to 0.3
- Remove %%post scripts as now handled by file triggers
- Minor macro adjustments for less name quoting.
- import libcanberra


